Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 54)
@@ -382,6 +382,127 @@
         }
         #endregion
 
+        #region 受注管理ボタン名前固定部
+        /// <summary>
+        /// 受注管理ボタン名前固定部
+        /// </summary>
+        private const string s_btnOrder = "btnOrder";
+        #endregion
+
+        #region 受注管理メニューボタン配置
+        /// <summary>
+        /// 受注管理メニューボタン配置
+        /// </summary>
+        private static int[,] OrderMenuButton = new int[,] {
+                                                            {(int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo,
+                                                                0,
+                                                                0
+                                                            },
+                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateInput,
+                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                (int)ClsExcute.ProcessExecuteNo.EstimatePrint
+                                                            },
+                                                            {(int)ClsExcute.ProcessExecuteNo.EstimateBudget,
+                                                                (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                0
+                                                            },
+        };
+        #endregion
+
+        #region 施工管理ボタン名前固定部
+        /// <summary>
+        /// 施工管理ボタン名前固定部
+        /// </summary>
+        private const string s_btnConstrction = "btnConstruction";
+        #endregion
+
+        #region 施工管理メニューボタン配置
+        /// <summary>
+        /// 施工管理メニューボタン配置
+        /// </summary>
+        private static int[,] ConstructionMenuButton = new int[,] {
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList,
+                                                                        (int)ClsExcute.ProcessExecuteNo.DRList,
+                                                                        0,
+                                                                        (int)ClsExcute.ProcessExecuteNo.TAndPCosts,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.ConstructionBudget,
+                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {(int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry,
+                                                                        (int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList,
+                                                                        (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    },
+                                                                    {0,
+                                                                        0,
+                                                                        0,
+                                                                        0,
+                                                                        0
+                                                                    }
+        };
+        #endregion
+
+
         #region マスタメンテボタン配列
         /// <summary>
         /// マスタメンテボタン配列
@@ -2043,29 +2164,29 @@
                             case 1:
                                 #region 工事詳細台帳
                                 // 新セキュリティデータ対応済みかを確認する
-                                if (CommonMotions.LoginUserData.SecCode == 0)
-                                {
-                                    // システム管理者・最高責任者
-                                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                                    {
-                                        // 部署別台帳まとめ一覧
-                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
-                                    }
-                                    else
-                                    {   // 統括責任者・所属長・一般ユーザー
-                                        // ----- 起動プロセス設定
-                                        // 工事詳細台帳一覧
-                                        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
+                                //if (CommonMotions.LoginUserData.SecCode == 0)
+                                //{
+                                //    // システム管理者・最高責任者
+                                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                                //        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                                //    {
+                                //        // 部署別台帳まとめ一覧
+                                //        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList);
+                                //    }
+                                //    else
+                                //    {   // 統括責任者・所属長・一般ユーザー
+                                //        // ----- 起動プロセス設定
+                                //        // 工事詳細台帳一覧
+                                //        NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList);
 
-                                        // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                        // 工事詳細台帳入力
-                                        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
-                                        ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
-                                    }
-                                }
-                                else
-                                {
+                                //        // 工事一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
+                                //        // 工事詳細台帳入力
+                                //        ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
+                                //        ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
+                                //    }
+                                //}
+                                //else
+                                //{
                                     // 起動権限確認
                                     int editflg = (int)CommonDefine.ProcessDataEdit.Reference;
                                     if (ClsSecurityPermission.GetExecutePermission((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, ref editflg))
@@ -2083,26 +2204,20 @@
                                         ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.ConstructionLedger);
                                         ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(false);
                                     }
-                                }
+                                //}
                                 break;
                                 #endregion
                             case 3:
                                 #region 工事日報入力
-                                // ----- 起動プロセス設定
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
-
                                 // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                // 工事日報入力
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.DRConstruction);
                                 break;
                                 #endregion
                             case 5:
                                 #region 各工事打合わせ議事録
-                                // ----- 起動プロセス設定
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRList);
-
                                 // 日報一覧から表示を行うため起動プロセスはパラメータの1つ目にセットする。
-                                // 工事日報入力
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add((int)ClsExcute.ProcessExecuteNo.Proceedings);
                                 break;
                                 #endregion
@@ -2118,7 +2233,7 @@
                                 #region 出勤管理
                                 // 出勤管理
                                 NowPoint = ClsExcute.NextProcess((int)ClsExcute.ProcessExecuteNo.DRWork);
-                                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(0);
+                                // メニューからの起動はログインユーザーをセットする
                                 ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.LoginUserData.PersonCode);
                                 break;
                                 #endregion
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 54)
@@ -1712,7 +1712,6 @@
                 DataGridView dgv = dgvApproval;
                 bool bFirst = true;
                 int CurRowCnt = 0;
-                int ObjCurCount = 0;
 
                 int iConstructionCode = 0;
                 int iApprovalCode = 0;
@@ -1788,11 +1787,15 @@
                     string wrkname = tabMenu.TabPages[(int)MenuTabAssign.DocumentApproval].Name;
                     int Tabcount = MenuTabName[wrkname] - 1;
 
+                    int ObjCurCount = 0;
+                    object[] objAuthorizer = null;
                     // データセット
                     for (int i = 0; i < BufferList.Count; i++)
                     {
-                        object[] objAuthorizer = (object[])BufferList[ObjCurCount++];
+                        if (i == 0) objAuthorizer = (object[])BufferList[i];
+                        if ((ObjCurCount + 1) <= BufferList.Count) objAuthorizer = (object[])BufferList[ObjCurCount++];
 
+
                         // 承認機能番号・受付番号・工事番号が違えばブレイク
                         if ((iApprovalCode == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.ApprovalCode]))
                             && (iOrderNo == CommonMotions.cnvInt(objAuthorizer[(int)ApprovalDataList.OrderNo]))
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 54)
@@ -126,6 +126,7 @@
     <Compile Include="Common\Process\ClsExcute.cs" />
     <Compile Include="Common\CommonDefine.cs" />
     <Compile Include="Common\Office\UsedWord.cs" />
+    <Compile Include="DataModel\AttendanceData.cs" />
     <Compile Include="DataModel\PersonApproval.cs" />
     <Compile Include="DataModel\PersonApprovalCommnet .cs" />
     <Compile Include="DataModel\ProcessApprovalCommnet.cs" />
@@ -161,6 +162,7 @@
     <Compile Include="DataModel\SubContractorJobILink.cs" />
     <Compile Include="DataModel\SuppliersMaster.cs" />
     <Compile Include="DataModel\SecurityMaster.cs" />
+    <Compile Include="DB\IOAccess\IOAttendanceData.cs" />
     <Compile Include="DB\IOAccess\IOPersonApproval.cs" />
     <Compile Include="DB\IOAccess\IOPersonApprovalCommnet.cs" />
     <Compile Include="DB\IOAccess\IOProcessApprovalCommnet.cs" />
@@ -239,6 +241,12 @@
     <Compile Include="Forms\DataEntry\PersonApprovalList\FrmPersonAppList.Designer.cs">
       <DependentUpon>FrmPersonAppList.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\Proceedings\PrintCommon.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\Proceedings\PrintFormat.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\PurchaseOrderEntry\FrmOrderEntryList.cs">
       <SubType>Form</SubType>
     </Compile>
Index: trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Properties/AssemblyInfo.cs	(revision 54)
@@ -33,6 +33,6 @@
 // 既定値にすることができます:
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("0.0.0.0")]
-[assembly: AssemblyFileVersion("0.9.9.9")]
+[assembly: AssemblyFileVersion("0.9.9.11")]
 // Log4netを使用する
 [assembly: log4net.Config.XmlConfigurator(ConfigFile = @"log4net.config", Watch = true)]
\ No newline at end of file
